FCEU-SVGA(6)

NAME
fceu-svga - An emulator for the original (8-bit) Nintendo game console.

SYNOPSIS
fceu-svga [options] "filename"

DESCRIPTION
FCE Ultra is an emulator for the original (8-bit) Nintendo Entertainment System (NES). It has a robust color palette rendering engine that is fully customizable, along with excellent sound and joystick support, and even includes TCP/IP based network playing for head-to-head gaming with your friends!

The emulator is available in two versions for Linux (there are also versions for DOS and Windows): an SDL-based version, and one based on SVGALIB. The two versions are essentially the same -- use the SVGALIB version for the Linux console, and the SDL version for playing in X.

OPTIONS
These are some of the more frequently used options in FCE Ultra SVGALIB. Run fceu-svga without any options for a larger list, or see the README for the full list.

-gg Enable Game Genie emulation support.

-cpalette <file>
    Use the custom palette in <file>.

-soundvol <percentage>
    Sets the sound volume to the given percentage.

-sound <rate>
    Set the sound playback sample rate (0 == off).

-connect <server>
    Connect as a client (player 2) to <server> for TCP/IP network play.

-server
    Be a host server (player 1) for a TCP/IP network game.

-netport <portnum>
    Use <portnum> for TCP/IP network play.

KEYBOARD COMMANDS
FCE Ultra has a number of commands available within the emulator. It also includes default keyboard bindings when emulating game pads or power pads.

  Gamepad Keyboard Bindings
NES Gamepad | Keyboard
Arrows | Cursor Arrows
A | Left ALT
B | Left CTRL
Select | TAB
Start | ENTER

  Other Commands

<F2>
    Activate cheat interface.

<F3>
    Lock virtual console.

<F4>
    Unlock virtual console.

<F5>
    Save game state into current slot (set using number keys).

<F7>
    Restore game state from current slot (set using number keys).

<F9>
    Save screen snapshot.

<F10>
    Reset NES.

<F11>
    Toggle power to NES.

<F12>, <ESC>
    Quit FCE Ultra.

NOTES
This program needs permisison to the video hardware, this normally requires root access. One way to accomplish this is by making fceu-svga suid-root. An easy way to do this is using the dpkg-statoverride command. For example, as root on a Debian system run:

dpkg-statoverride --update --add root games 04755 /usr/games/fceu-svga

This will ensure that the setuid bit is preserved across package upgrades.

SEE ALSO
dpkg-statoverride(8), fceu-sdl(6)

/usr/share/doc/fceu-doc/readme-linux.txt.gz
    The FCE Ultra README for linux, available from the fceu-doc Debian package.

http://fceultra.sourceforge.net/
    The FCE Ultra project homepage.

AUTHOR
This manual page was written by Joe Nahmias <joe@nahmias.net>, for the Debian GNU/Linux system (but may be used by others).